Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZSurvey Class Reference

## Public Member Functions
| __construct ( $id="-1")
| get ( $id="-1")
| store ()
| delete ()
| copySurvey ( $newTitle)
| surveyQuestions ( $OrderBy="Position", $Page=0)
| numberOfQuestions ()
| numberOfPages ()
| statusOptions ()
| hasCompleted ( $userID)
| id ()
| userId ()
function | status ()
| title ()
| subTitle ()
| email ()
| info ()
| thanksPage ()
| thankHead ()
| thankBody ()
| changed ()
| sectionID ()
| setUserId ( $value)
| setPublic ( $value)
| setStatus ( $value)
| setTitle ( $value)
| setSubTitle ( $value)
| setEMail ( $value)
| setInfo ( $value)
| setThanksPage ( $value)
| setThankHead ( $value)
| setThankBody ( $value)
| setChanged ( $value)
| setSectionID ( $value)

## Static Public Member Functions
static | getAll ( $OrderBy="ID", $LimitStart="None", $LimitBy="None")
static | numberOfSurveys ()
static | existSurvey ( $id)

## Public Attributes
| $ID
| $UserID
string | $Public
| $Status
| $Title
| $SubTitle
| $EMail
| $Info
| $ThanksPage
| $ThankHead
| $ThankBody
| $Changed
| $SectionID

## Detailed Description

Definition at line 7 of file ezsurvey.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZSurvey::__construct | ( |  | $id = `"-1"` | ) |

Definition at line 10 of file ezsurvey.php.

References $id, and $ID.

## Member Function Documentation

## ◆ changed()

eZSurvey::changed | ( |  | ) |

Definition at line 376 of file ezsurvey.php.

References $Changed.

## ◆ copySurvey()

eZSurvey::copySurvey | ( |  | $newTitle | ) |

Definition at line 193 of file ezsurvey.php.

References surveyQuestions().

## ◆ delete()

eZSurvey::delete | ( |  | ) |

Definition at line 177 of file ezsurvey.php.

References $db, $question_array, $res, eZDB\finish(), eZDB\globalDatabase(), and surveyQuestions().

## ◆ email()

eZSurvey::email | ( |  | ) |

Definition at line 371 of file ezsurvey.php.

References $EMail.

## ◆ existSurvey()

static eZSurvey::existSurvey | ( |  | $id | ) |
| static

Definition at line 348 of file ezsurvey.php.

References $db, and eZDB\globalDatabase().

## ◆ get()

eZSurvey::get | ( |  | $id = `"-1"` | ) |

Definition at line 19 of file ezsurvey.php.

References $db, and eZDB\globalDatabase().

## ◆ getAll()

static eZSurvey::getAll | ( |  | $OrderBy = `"ID"`,
|  |  | $LimitStart = `"None"`,
|  |  | $LimitBy = `"None"`
| ) |  |
| static

Definition at line 68 of file ezsurvey.php.

References $db, $OrderBy, and eZDB\globalDatabase().

## ◆ hasCompleted()

eZSurvey::hasCompleted | ( |  | $userID | ) |

Definition at line 332 of file ezsurvey.php.

References $count, $db, $ret, and eZDB\globalDatabase().

## ◆ id()

eZSurvey::id | ( |  | ) |

Definition at line 365 of file ezsurvey.php.

References $ID.

## ◆ info()

eZSurvey::info | ( |  | ) |

Definition at line 372 of file ezsurvey.php.

References $Info.

## ◆ numberOfPages()

eZSurvey::numberOfPages | ( |  | ) |

Definition at line 294 of file ezsurvey.php.

References $count, $db, and eZDB\globalDatabase().

## ◆ numberOfQuestions()

eZSurvey::numberOfQuestions | ( |  | ) |

Definition at line 285 of file ezsurvey.php.

References $count, $db, and eZDB\globalDatabase().

## ◆ numberOfSurveys()

static eZSurvey::numberOfSurveys | ( |  | ) |
| static

Definition at line 276 of file ezsurvey.php.

References $count, $db, and eZDB\globalDatabase().

## ◆ sectionID()

eZSurvey::sectionID | ( |  | ) |

Definition at line 377 of file ezsurvey.php.

References $SectionID.

## ◆ setChanged()

eZSurvey::setChanged | ( |  | $value | ) |

Definition at line 390 of file ezsurvey.php.

## ◆ setEMail()

eZSurvey::setEMail | ( |  | $value | ) |

Definition at line 385 of file ezsurvey.php.

## ◆ setInfo()

eZSurvey::setInfo | ( |  | $value | ) |

Definition at line 386 of file ezsurvey.php.

## ◆ setPublic()

eZSurvey::setPublic | ( |  | $value | ) |

Definition at line 381 of file ezsurvey.php.

## ◆ setSectionID()

eZSurvey::setSectionID | ( |  | $value | ) |

Definition at line 391 of file ezsurvey.php.

## ◆ setStatus()

eZSurvey::setStatus | ( |  | $value | ) |

Definition at line 382 of file ezsurvey.php.

## ◆ setSubTitle()

eZSurvey::setSubTitle | ( |  | $value | ) |

Definition at line 384 of file ezsurvey.php.

## ◆ setThankBody()

eZSurvey::setThankBody | ( |  | $value | ) |

Definition at line 389 of file ezsurvey.php.

## ◆ setThankHead()

eZSurvey::setThankHead | ( |  | $value | ) |

Definition at line 388 of file ezsurvey.php.

## ◆ setThanksPage()

eZSurvey::setThanksPage | ( |  | $value | ) |

Definition at line 387 of file ezsurvey.php.

## ◆ setTitle()

eZSurvey::setTitle | ( |  | $value | ) |

Definition at line 383 of file ezsurvey.php.

## ◆ setUserId()

eZSurvey::setUserId | ( |  | $value | ) |

Definition at line 380 of file ezsurvey.php.

## ◆ status()

function eZSurvey::status | ( |  | ) |

Definition at line 368 of file ezsurvey.php.

References $Status.

## ◆ statusOptions()

eZSurvey::statusOptions | ( |  | ) |

Definition at line 303 of file ezsurvey.php.

## ◆ store()

eZSurvey::store | ( |  | ) |

Definition at line 118 of file ezsurvey.php.

References $db, $query, $res, $ret, eZDB\finish(), and eZDB\globalDatabase().

## ◆ subTitle()

eZSurvey::subTitle | ( |  | ) |

Definition at line 370 of file ezsurvey.php.

References $SubTitle.

## ◆ surveyQuestions()

eZSurvey::surveyQuestions | ( |  | $OrderBy = `"Position"`,
|  |  | $Page = `0`
| ) |  |

Definition at line 217 of file ezsurvey.php.

References $db, $Page, $question_array, and eZDB\globalDatabase().

Referenced by copySurvey(), and delete().

## ◆ thankBody()

eZSurvey::thankBody | ( |  | ) |

Definition at line 375 of file ezsurvey.php.

References $ThankBody.

## ◆ thankHead()

eZSurvey::thankHead | ( |  | ) |

Definition at line 374 of file ezsurvey.php.

References $ThankHead.

## ◆ thanksPage()

eZSurvey::thanksPage | ( |  | ) |

Definition at line 373 of file ezsurvey.php.

References $ThanksPage.

## ◆ title()

eZSurvey::title | ( |  | ) |

Definition at line 369 of file ezsurvey.php.

References $Title.

## ◆ userId()

eZSurvey::userId | ( |  | ) |

Definition at line 366 of file ezsurvey.php.

References $UserID.

## Member Data Documentation

## ◆ $Changed

eZSurvey::$Changed

Definition at line 404 of file ezsurvey.php.

Referenced by changed().

## ◆ $EMail

eZSurvey::$EMail

Definition at line 399 of file ezsurvey.php.

Referenced by email().

## ◆ $ID

eZSurvey::$ID

Definition at line 393 of file ezsurvey.php.

Referenced by __construct(), and id().

## ◆ $Info

eZSurvey::$Info

Definition at line 400 of file ezsurvey.php.

Referenced by info().

## ◆ $Public

string eZSurvey::$Public

Definition at line 395 of file ezsurvey.php.

## ◆ $SectionID

eZSurvey::$SectionID

Definition at line 405 of file ezsurvey.php.

Referenced by sectionID().

## ◆ $Status

eZSurvey::$Status

Definition at line 396 of file ezsurvey.php.

Referenced by status().

## ◆ $SubTitle

eZSurvey::$SubTitle

Definition at line 398 of file ezsurvey.php.

Referenced by subTitle().

## ◆ $ThankBody

eZSurvey::$ThankBody

Definition at line 403 of file ezsurvey.php.

Referenced by thankBody().

## ◆ $ThankHead

eZSurvey::$ThankHead

Definition at line 402 of file ezsurvey.php.

Referenced by thankHead().

## ◆ $ThanksPage

eZSurvey::$ThanksPage

Definition at line 401 of file ezsurvey.php.

Referenced by thanksPage().

## ◆ $Title

eZSurvey::$Title

Definition at line 397 of file ezsurvey.php.

Referenced by title().

## ◆ $UserID

eZSurvey::$UserID

Definition at line 394 of file ezsurvey.php.

Referenced by userId().

The documentation for this class was generated from the following file:

- ezsurvey.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.